summaryrefslogtreecommitdiffstats
path: root/source/l/glibc/glibc.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-02-17 01:45:20 +0000
committer Eric Hameleers <alien@slackware.com>2019-02-17 12:28:26 +0100
commita576ec7a0e6c880029328d465402520ee1c20571 (patch)
treeb8213af51a4e616b41bb256d9e1a6bdc4d268536 /source/l/glibc/glibc.SlackBuild
parent32bf7dfc2d59c3200fbe2dfc94400b8f966b6ab1 (diff)
downloadcurrent-20190217014520.tar.gz
current-20190217014520.tar.xz
Sun Feb 17 01:45:20 UTC 201920190217014520
a/glibc-solibs-2.29-x86_64-3.txz: Rebuilt. ap/texinfo-6.6-x86_64-1.txz: Upgraded. l/elfutils-0.176-x86_64-1.txz: Upgraded. l/glibc-2.29-x86_64-3.txz: Rebuilt. l/glibc-i18n-2.29-x86_64-3.txz: Rebuilt. Go back to using the glibc.locale.no-archive.diff patch rather than the new built-in no-archive locale target. Avoiding hardlinks is not worth 700MB of useless bloat. Thanks to baldzhang. l/glibc-profile-2.29-x86_64-3.txz: Rebuilt. l/librsvg-2.44.13-x86_64-1.txz: Upgraded. x/xf86-video-chips-1.4.0-x86_64-1.txz: Upgraded. x/xf86-video-tdfx-1.5.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/glibc/glibc.SlackBuild')
-rwxr-xr-xsource/l/glibc/glibc.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/source/l/glibc/glibc.SlackBuild b/source/l/glibc/glibc.SlackBuild
index 3f20e6677..17bee21b3 100755
--- a/source/l/glibc/glibc.SlackBuild
+++ b/source/l/glibc/glibc.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
VERSION=${VERSION:-$(echo glibc-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -148,6 +148,9 @@ fix_doinst() {
# This is a patch function to put all glibc patches in the build script
# up near the top.
apply_patches() {
+ # Use old-style locale directories rather than a single (and strangely
+ # formatted) /usr/lib/locale/locale-archive file:
+ zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1
# Support ru_RU.CP1251 locale:
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Add a C.UTF-8 locale:
@@ -244,7 +247,9 @@ CFLAGS="-g $OPTIMIZ" \
make $NUMJOBS || make || exit 1
make install install_root=$PKG || exit 1
-make localedata/install-locale-files DESTDIR=$PKG || exit 1
+# Don't use this, as it makes the i18n package WAY bigger:
+#make localedata/install-locale-files DESTDIR=$PKG || exit 1
+make localedata/install-locales install_root=$PKG DESTDIR=$PKG || exit 1
# We've always had an sln symlink in /bin, so let's make sure it
# remains there so as not to break any scripts that might need it: